this.name        = "sbf_clipperschedule"; 
this.author      = "spara"; 
this.copyright      = "2014 Mika Spåra";
this.description = "Populator for sb-faves sar clippers"; 
this.licence    	= "CC BY-NC-SA 3.0";
this.version     = "1.0"; 

this.systemWillPopulate = function() {
	//to avoid similar population with other oxps
	if (!worldScripts["ecl_SAR_worldscript.js"] && !worldScripts["clipperschedule"]) {
		if (system.techLevel > 7 && Math.random() > 0.35) {
			//0-3 ships, weighted probs of 1 and 2 ships.
			for (var i = 0; i < Math.round(Math.random() * 3); i++) {
				system.setPopulator("sbf_clippers" + i, {
					callback: function(pos) {
						system.addShips("clipper-rescueship", 1, pos);
					}.bind(this),
					location: "LANE_WPS"
				});
			};
		};
	};
}

this.systemWillRepopulate = function() {
	//a small probability for restocking sar clippers.
	if (system.techLevel > 7 && system.countShipsWithPrimaryRole("clipper-rescueship") < 2 && Math.random() < 0.05) {
		if (Math.random() > 0.5) 
			system.mainStation.launchShipWithRole("clipper-rescueship");
		else 
			system.addShips("clipper-rescueship", 1);
	}
}
